Clock.Mode = newClass(null, {
	constructor: function(owner) {
		this.owner = owner;
		this.current = {};
	},
	set: function(space, value, other) {
		if((space == 'mode') && (value != this.current[space])) {

			var transition = '';
			if(value == 'preferences')
				transition = 'ToBack';
			if(this.current[space] == 'preferences')
				transition = 'ToFront';							

			if(value == 'preferences')
				Wdgt.view.setSize(170, 220);
			if(transition != '')
				Wdgt.view.prepareForTransition(transition);

			y5.Classes.remove(document.body, 'mode-' + this.current['mode']);
			y5.Classes.add(document.body, 'mode-' + value);
			
			this.redraw(value);
			
			if(transition != '')
				Wdgt.view.performTransition();
		}
		
		if((space == 'gear') && (value != this.current[space])) {
			y5.Classes.remove(document.body, space + '-' + this.current[space]);
			y5.Classes.add(document.body, space + '-' + value);
		}
		
		this.current[space] = value;
	},
	redraw: function(value) {
		value = value ? value : this.current.mode;
		
		var sidebar = (Wdgt.platform.name == 'sidebar');
		switch(value) {
			case 'normal':
				Wdgt.view.setSize(130, 130);
				Wdgt.view.setBackground([{url: this.owner.gear.theme.background, left: 0, top: 0}]);
			break;
			case 'preferences':
				Wdgt.view.setSize(170, 220);
				Wdgt.view.setBackground([{url: 'kernel/images/background/preferences-mac.png', left: 0, top: 0}]);
			break;
		}
	},
	get: function(space) {
		return this.current[space];
	}
});