Clock.Tick = newClass(null, {
	constructor: function(owner) {
		this.owner = owner;
		this.interval = 0;
		this.old = 0;
		this.reset();
	},
	tick: function() {
		var now = new Date();
		var time = {h: now.getHours(), m: now.getMinutes(), s: now.getSeconds(), ms: now.getMilliseconds(), date: now};
		if (time.s != this.old) {
			this.old = time.s;
			if (this.owner.gear)
				y5.Notify('tick', this.owner.gear, time);
		}
	},
	reset: function() {
		var context = this;
		this.interval = setInterval(function(){context.tick.call(context);}, 100);		
	}
});