WdgtUtils = newClass(null, {
	constructor: function(owner) {
		this.owner = owner;
	},
	openURL: function(url) {
		switch(this.owner.platform.name) {
			case 'sidebar':
				window.location = url;
			break;
			case 'dashboard':
			case 'opera':
				widget.openURL(url);
			break;
		}
	},
	close: function() {
		switch(this.owner.platform.name) {
			case 'sidebar':
				System.Gadget.close();
			break;
			case 'dashboard':
			case 'opera':
				window.close();
			break;
		}
	},
	isDocked: function() {
		if(this.owner.platform.name != 'sidebar')
			return false;
		try {
			return System.Gadget.docked;
		} catch(e) {
			return false;
		}
	},
	isYandeskInstall: function() {
		if(this.owner.platform.name != 'sidebar')
			return false;
		var value = false;
		try {	
			value = this.shell.RegRead('HKEY_CURRENT_USER\\Software\\Yandex\\Yandesk\\ProgramDir');
		} catch(e) {};
		return !!value;
	}
});