// Wdgt
var Wdgt = {
	constructor: function() {
		if(typeof(WdgtPlatform) != 'undefined')
			Wdgt.platform = new WdgtPlatform(Wdgt);
		if(typeof(WdgtView) != 'undefined')
			Wdgt.view = new WdgtView(Wdgt);
		if(typeof(WdgtUtils) != 'undefined')
			Wdgt.utils = new WdgtUtils(Wdgt);
		if(typeof(WdgtUpdate) != 'undefined')
			Wdgt.update = new WdgtUpdate(Wdgt);
		if(typeof(WdgtPreferences) != 'undefined')
			Wdgt.preferences = new WdgtPreferences(Wdgt);
		
		if(typeof(Wdgt.Widget) != 'undefined')
			Wdgt.widget = new Wdgt.Widget();
	},
	getInfo: function() {
		var info = this.Widget.prototype;
		return {name: info.name, title: info.title, version: info.version, clid: info.clid};
	},
	feedbackUrl: function() {
		var info = this.getInfo();
		return 'http://feedback.yandex.ru/?from=widgets&subject=' + encodeURIComponent('Виджет: ' + info.title + ' ' + this.update.getVersion());		
	},
	address: function(name) {
		if(name == 'home')
			name = 'morda';
		if(name == 'morda')
			return 'http://www.yandex.ru/?clid=' + this.getInfo().clid.morda + '&yasoft=' + this.getInfo().name;
		if(name == 'news')
			return 'http://news.yandex.ru/?clid=' + this.getInfo().clid.morda + '&yasoft=' + this.getInfo().name;
	},
	onY5Loaded: function() {
		this.constructor();
	},
	onLoad: function() {
		if (!(Wdgt.Widget.prototype.require instanceof Array))
			Wdgt.Widget.prototype.require = [];
		y5.require(['Dom', 'Events', 'Request.XML', 'URL', 'Range', 'ShortCuts'].concat(Wdgt.Widget.prototype.require), function() {Wdgt.onY5Loaded.call(Wdgt);});
	}
};

window.onload = Wdgt.onLoad;