WdgtCanvas = newClass(null, {
	constructor: function(style) {
		this.style = style;
		this.sidebar = (Wdgt.platform.name == 'sidebar');
		
		this.create();
	},
	create: function() {
		var s = this.style;
		var b = y5.Dom.$('background');
		
		
		b.addImageObject(s.folder + s.left_top.image, s.x, s.y);
		b.addImageObject(s.folder + s.right_top.image, s.x + s.width - s.right_top.width, s.y);
		b.addImageObject(s.folder + s.left_bottom.image, s.x, s.y + s.height - s.left_bottom.height);
		b.addImageObject(s.folder + s.right_bottom.image, s.x + s.width - s.right_top.width, s.y + s.height - s.left_bottom.height);
		
		function addImage(image, x, y, width, height) {
		    var xOffset = parseInt((image.width - width)/2);
		    var yOffset = parseInt((image.height - height)/2);
		    var gimg = b.addImageObject(s.folder + image.image, x - xOffset, y - yOffset);
		    gimg.width = width;
		    gimg.height = height;
		    return gimg;
		}

		addImage(s.top,
			s.x + s.left_top.width, s.y,
			s.width - s.left_top.width - s.right_top.width, s.top.height);
		addImage(s.bottom,
			s.x + s.left_top.width, s.y + s.height - s.bottom.height,
			s.width - s.left_top.width - s.right_top.width, s.bottom.height);
	
		addImage(s.left,
			s.x, s.y + s.left_top.height,
			s.left.width, s.height - s.left_top.height - s.left_bottom.height);
		
		addImage(s.right,
			s.x + s.width - s.right.width, s.y + s.right_top.height,
			s.right.width, s.height - s.right_top.height - s.right_bottom.height);

		//b.addImageObject(s.folder + s.top.image, s.x + s.left_top.width, s.y).width = s.width - s.left_top.width - s.right_top.width;
		//b.addImageObject(s.folder + s.left.image, s.x, s.y + s.left_top.height).height = s.height - s.left_top.height - s.left_bottom.height;
		
	},
	visibility: function() {
		
	}
	
});