Wdgt.PreferencesButton = newClass(null, {
	constructor: function(button, context) {
		this.button = button;
		this.button.style.opacity = 0;
		y5.Events.observe('mouseover', this.onMouseOver, context, true, this);
		y5.Events.observe('mouseout', this.onMouseOut, context, true, this);

		this.state = 'hide';
		this.timer = 0;
	},
	onMouseOver: function(e) {
		if(this.state != 'showing') {
			this.state = 'showing';
			this.start();
		}
	},
	onMouseOut: function(e) {
		this.state = 'hiding';
		this.start();
	},
	start: function() {
		this.stop();
		var context = this;
		function onTimer() {
			context.process.call(context);
		}
		this.timer = setInterval(onTimer, 50);
	},
	stop: function() {
		clearInterval(this.timer);
	},
	process: function() {
		var delta = 0.1;
		var current = parseFloat(this.button.style.opacity);
		if(this.state == 'showing')
			current += delta;
		if(this.state == 'hiding')
			current -= delta;
		if(current < 0.05) {
			current = 0;
			this.state = 'hide';
			this.stop();
		}
		if(current > 1.0 - 0.05) {
			current = 1;
			this.state = 'show';
			this.stop();
		}
		
		this.button.style.opacity = current;
	}
});