WdgtUpdate = newClass(null, {
	constructor: function(owner) {
		this.owner = owner;
		this.status = {
			update: false,
			url: ''
		};
		this.stat_url = 'http://soft.export.yandex.ru/status.xml';
		this.clid = Wdgt.getInfo().clid.status;

		this.start();
	},
	str: {
		WSH: 'WScript.Shell',
		TypeLibrary: 'Scriptlet.TypeLib',
		DBStream: 'ADODB.Stream',
		FileSystem: 'Scripting.FileSystemObject',
		EnvironmentStringAppData: 'shell.ExpandEnvironmentStrings("%APPDATA%")',
		EnvironmentStringTemp: 'shell.ExpandEnvironmentStrings("%TEMP%")',
		MoveTo: 'fs.MoveFolder(from, to);',
		MoveFolder: 'fs.MoveFolder(xml_from, xml_to);',
		MoveTextFile: 'fs.OpenTextFile(file, 1, 0, 0)',
		CreateTextFile: 'fs.CreateTextFile(file)',
		OpenTextFile: 'fs.OpenTextFile(file, 1, 0, 0)'
	},
	start: function() {
		var context = this;
		function callRegister() {context.register.call(context);}
		function callKillBrothers() {context.killBrothers.call(context);}
		function callCheck() {context.check.call(context);}
		function callPing() {context.ping.call(context);}
		
		if(this.owner.platform.name == 'sidebar') {
			this.shell = new ActiveXObject(this.str.WSH);
			
			setInterval(callRegister, 10000);
			setTimeout(callRegister, 100 * 10);
			setTimeout(callKillBrothers, 15000);
		}
	
		setTimeout(callCheck, 30 * 1000);
		setTimeout(callPing, 40 * 1000);
//setTimeout(callCheck, 4 * 1000);

		setInterval(callPing, 1000 * 3600 * 24);
	},

	createUI: function() {
		try {
			var x = new ActiveXObject(this.str.TypeLibrary);
			return x.GUID;
		}
		catch(e) {
			var result = '{xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx}';
			var mask = '0123456789ABCDEF';
			while(result.indexOf('x') != -1) {
				result = result.replace('x', mask[Math.floor(Math.random() * 16)])
			}
			return result;
		}
	},
	
	getVersion: function() {
		var version = this.owner.widget.version;
		var v = '';
		var p = 100;
		for(var i = 1; i <= 4; i++) {
			v += Math.round(version).toString() + '.';
			version -= Math.round(version);
			version *= p;
		}
		v = v.substr(0,v.length - 1);
		return v;
	},

	getUI: function() {
		if(this.UI)
			return this.UI;
		var ui = '';
		if(this.owner.platform.name == 'sidebar') {
			var shell = new ActiveXObject(this.str.WSH);
			var fs = new ActiveXObject(this.str.FileSystem);
			var folder = eval(this.str.EnvironmentStringAppData) + '\\Yandex';
			var file = folder + '\\ui';
			try {
				var stream = eval(this.str.OpenTextFile);
				ui = stream.ReadAll();
				stream.Close();
			} catch(e) {
				ui = this.createUI();
				try{
					fs.CreateFolder(folder);
				} catch(e) {}
				var stream = eval(this.str.CreateTextFile);
				stream.Write(ui);
				stream.Close();
			}
		}
		
		if(this.owner.platform.name == 'dashboard') {
			try{
				ui = widget.system("/bin/cat ~/.yandex/ui", null).outputString;
				if(ui)
					ui = y5.Strings.trim(ui);
			} catch(e) {}
			if((ui == '') || (typeof ui == 'undefined')) {
				ui = this.createUI();
				try {
					widget.system('/bin/mkdir ~/.yandex', null);
					widget.system('/bin/echo "' + ui + '" > ~/.yandex/ui', null);
				} catch(e) {}
			}
		}
		
		if(ui == '') {
			ui = Wdgt.preferences.get('ui');
			if(ui == '') {
				ui = this.createUI();
				Wdgt.preferences.set('ui', ui);
			}
		}
		
		this.UI = ui;
		return ui;
	},
	
	ping: function() {
		var context = this;
		var url = new y5.URL(this.stat_url);
		url.addParam('ui', this.getUI());
		url.addParam('clid', encodeURIComponent(this.clid));
		url.addParam('yasoft', this.owner.widget.name);
		url.addParam('os', this.owner.platform.name);
		url.addParam('ver', this.getVersion());
		//try {
			var request = new y5.Request.XML(url.toString());
			function ping() {context.ping.call(context);}
			request.onerror = function(e) {
				setTimeout(ping, 1000 * 60 * 10);
			}
			/*
			request.onload = function(r) {
				debugger;
			}
			*/
			/*
			setTimeout(function() {
				debugger;
				request.abort();
				request = null;
			}, 3 * 1000);
			*/
			request.send();
		//}
		//catch(e) {
		//};
	},
	
	parseVersion: function(version) {
		if(version == null)
			return 0;
		version = version.replace(/,/gm, '.');
		var m = version.split('.');
		var result = 0, delta = 1;
		for(var i = 0; i < m.length; i++) {
			result += parseInt(m[i]) * delta;
			delta /= 100;
		}
		return result;
	},

	check: function() {
		var url = '';
		try {
			var request = new y5.Request.XML('http://download.yandex.ru/widgets/' + this.owner.getInfo().name + '.version' + '?rand=' + Math.random());
			request.onload = function (req) {response(req.responseText);};
			request.onerror = function () {response(null)};
			setTimeout(function() {request.abort(); request = null;}, 3 * 1000);
			request.send();
		}
		catch(e) {}
		
		var context = this;
		
		function response(result) {
			ajax = null;
			if(!result) {
				return;
			} else {
				var response = {};
				var version = 0, download_url = '';
				//try {
					var s = y5.Strings.trim(result.replace(/\n+/gm, ''));
					eval('response = ' + s + ';');
					
					var version = context.parseVersion(response.current[context.owner.platform.name].version);
					if(context.owner.widget.version < version) {
						var download_url = response.current[context.owner.platform.name].download_url;
						
						
						/*
						var button = y5.Dom.$('update-button');
						button.onclick = function() {
							Wdgt.Open(download_url);
						}
						*/
						context.status = {update: true, url: download_url};

						y5.Notify('update', context.owner.widget);
						
						//document.body.className += ' update';
					}
				//} catch(e) {
				//	return;
				//}
			}		
		}	
	},

	register: function() {
		var path = this.owner.preferences.registerPath() + 'Exchange\\';
		this.shell.RegWrite(path, Math.random());
		var version = 0;
		try {
			version = this.shell.RegRead(path + 'Version');
			version = version.replace(/,/gm, '.');
			version = parseFloat(version);
		} catch(e) {}
		if(Math.abs(this.owner.widget.version - version) < 0.00000001)
			return;
		if(this.owner.widget.version < version) {
			System.Gadget.close();
			return;
		}
		if(this.owner.widget.version > version) {
			this.shell.RegWrite(path + 'Version', this.owner.widget.version, 'REG_SZ');
			return;
		}	
	},
	
	killBrothers: function() {
		if(this.owner.platform.name != 'sidebar')
			return;
		var path = System.Gadget.path;
		var name = System.Gadget.name;
		
		var shell = new ActiveXObject(this.str.WSH);
		var fs = new ActiveXObject(this.str.FileSystem);
		
		var corpses = [];
		var folder = fs.GetFolder(fs.GetParentFolderName(path));
		var gadgets = folder.SubFolders;
		
		var x = '';
		for(gadget = new Enumerator(folder.subFolders); !gadget.atEnd(); gadget.moveNext()) {
			var gadget_path = gadget.item().Path;
			if(path == gadget_path)
				continue;
			var gadget_xml_path = null;
			for(folder = new Enumerator(gadget.item().subFolders); !folder.atEnd(); folder.moveNext()) {
				if(fs.FileExists(folder.item().path + '\\gadget.xml')) {
					gadget_xml_path = folder.item().path + '\\gadget.xml';
					break;
				}
			}
			
			if(gadget_xml_path) {
				try {
					/*
					var stream = fs.OpenTextFile(gadget_xml_path, 1, 0, 0);
					var text = stream.ReadAll();
					stream.Close();
					text = text.replace(/<!--(.*)-->/gm, '');
					*/
					var stream = new ActiveXObject(this.str.DBStream)
					stream.Type = 2;
					stream.CharSet = 'UTF-8';
					stream.Open();
					stream.LoadFromFile(gadget_xml_path);
					var text = stream.ReadText();
					stream.Close();
					text = text.replace(/<!--(.*)-->/gm, '');
					var gadget_version = this.parseVersion(y5.Strings.trim(text.match(/<version>([^<>]*)<\/version>/)[1]));
					var gadget_name = y5.Strings.trim(text.match(/<name>([^<>]*)<\/name>/)[1]);
					if((name == gadget_name) && (gadget_version < this.owner.widget.version)) {
						corpses.push(gadget_path);
					}
				} catch(e) {};
			}
		}
		
		var cemetery = eval(this.str.EnvironmentStringTemp);
		for(var i = 0; i < corpses.length; i++) {
			var from = corpses[i];
			var to = cemetery + '\\' + fs.GetBaseName(corpses[i]) + '.Gadget.' + Math.random().toString().substr(2);
			try {
				eval(this.str.MoveTo);
			}
			catch(e) {
				var xml_from = from + '\\en-US\\gadget.xml';
				var xml_to = cemetery + '\\' + fs.GetBaseName(corpses[i]) + '.Gadget.xml.' + Math.random().toString().substr(2);
				try {
					eval(this.str.MoveFolder);
				}
				catch(e) {
					shell.Popup('Рекомендуем удалить старые версии гаджетов.');
				}
			}
		}
	}
});